net.minecraft.client.gui

## Class GuiButton

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton

- Direct Known Subclasses:
    GuiButtonLanguage, GuiButtonLink, GuiButtonMerchant, GuiSlider, GuiSmallButton

      public class GuiButton
      extends Gui

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `displayString` The string displayed on this control.
    `boolean` | `drawButton` Hides the button completely if false.
    `boolean` | `enabled` True if this control is enabled, false to disable.
    `int` | `id` ID for this control.
    `int` | `xPosition` The x position of this control.
    `int` | `yPosition` The y position of this control.

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiButton(int par1, int par2, int par3, int par4, int par5, String par6Str)`
    `GuiButton(int par1, int par2, int par3, String par4Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawButton(Minecraft par1Minecraft, int par2, int par3)` Draws this button to the screen.
    `void` | `func_82251_b(int par1, int par2)`
    `boolean` | `func_82252_a()`
    `boolean` | `mousePressed(Minecraft par1Minecraft, int par2, int par3)` Returns true if the mouse has been pressed on this control.
    `void` | `mouseReleased(int par1, int par2)` Fired when the mouse button is released.

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xPosition

          public int xPosition

      The x position of this control.

    - #### yPosition

          public int yPosition

      The y position of this control.

    - #### displayString

          public String displayString

      The string displayed on this control.

    - #### id

          public int id

      ID for this control.

    - #### enabled

          public boolean enabled

      True if this control is enabled, false to disable.

    - #### drawButton

          public boolean drawButton

      Hides the button completely if false.

  - ### Constructor Detail

    - #### GuiButton

          public GuiButton(int par1,
                   int par2,
                   int par3,
                   String par4Str)

    - #### GuiButton

          public GuiButton(int par1,
                   int par2,
                   int par3,
                   int par4,
                   int par5,
                   String par6Str)

  - ### Method Detail

    - #### drawButton

          public void drawButton(Minecraft par1Minecraft,
                        int par2,
                        int par3)

      Draws this button to the screen.

    - #### mouseReleased

          public void mouseReleased(int par1,
                           int par2)

      Fired when the mouse button is released. Equivalent of MouseListener.mouseReleased(MouseEvent e).

    - #### mousePressed

          public boolean mousePressed(Minecraft par1Minecraft,
                             int par2,
                             int par3)

      Returns true if the mouse has been pressed on this control. Equivalent of MouseListener.mousePressed(MouseEvent e).

    - #### func_82252_a

          public boolean func_82252_a()

    - #### func_82251_b

          public void func_82251_b(int par1,
                          int par2)